Name:		perl-MCS-CGI
Version:	1.10
Release:	3.1
Url:		http://www.mcs.de/
Summary:	MCS CGI library
License:	unknown
Source0:	MCS-CGI-%{version}.tar.gz
Patch0:		MCS-CGI-Gaestebuch_EOF.patch
Group:		Development/Libraries/Perl
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	perl

%description

%prep
%setup -n MCS-CGI-%{version}
%patch0

%build
CFLAGS="%{optflags}" %{__perl} Makefile.PL INSTALLDIRS="vendor" PREFIX="%{_prefix}"
%{__make} %{?_smp_mflags} OPTIMIZE="%{optflags}"

%install
%__make DESTDIR=%{buildroot} install

### Clean up buildroot
%{__rm} -rf %{buildroot}%{perl_archlib} \
                %{buildroot}%{perl_vendorarch}/auto/*{,/*{,/*}}/.packlist

%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root)
%{_mandir}/man3/MCS::CGI::Conf.3pm*
%{_mandir}/man3/MCS::CGI::Ecard.3pm*
%{_mandir}/man3/MCS::CGI::Gaestebuch.3pm*
%{_mandir}/man3/MCS::CGI::HTML::Filter.3pm*
%{_mandir}/man3/MCS::CGI::HTML::Parser.3pm*
%{_mandir}/man3/MCS::CGI::HTML::Template.3pm*
%{_mandir}/man3/MCS::CGI::SMS.3pm*
%{_mandir}/man3/MCS::CGI::SendToFriend.3pm*
%{_mandir}/man3/MCS::CGI::Sendmail.3pm*
%{_mandir}/man3/MCS::CGI::Standard.3pm*
%{_mandir}/man3/MCS::CGI::Voting.3pm*
%dir %{perl_vendorlib}/MCS
%dir %{perl_vendorlib}/MCS/CGI
%dir %{perl_vendorlib}/MCS/CGI/HTML
%{perl_vendorlib}/MCS/CGI/Conf.pm
%{perl_vendorlib}/MCS/CGI/Ecard.pm
%{perl_vendorlib}/MCS/CGI/Gaestebuch.pm
%{perl_vendorlib}/MCS/CGI/HTML/Filter.pm
%{perl_vendorlib}/MCS/CGI/HTML/Parser.pm
%{perl_vendorlib}/MCS/CGI/HTML/Template.pm
%{perl_vendorlib}/MCS/CGI/SMS.pm
%{perl_vendorlib}/MCS/CGI/SendToFriend.pm
%{perl_vendorlib}/MCS/CGI/Sendmail.pm
%{perl_vendorlib}/MCS/CGI/Standard.pm
%{perl_vendorlib}/MCS/CGI/Voting.pm
%dir %{perl_vendorlib}/auto/MCS
%dir %{perl_vendorlib}/auto/MCS/CGI
%dir %{perl_vendorlib}/auto/MCS/CGI/Ecard
%dir %{perl_vendorlib}/auto/MCS/CGI/Gaestebuch
%dir %{perl_vendorlib}/auto/MCS/CGI/SMS
%dir %{perl_vendorlib}/auto/MCS/CGI/SendToFriend
%dir %{perl_vendorlib}/auto/MCS/CGI/Sendmail
%dir %{perl_vendorlib}/auto/MCS/CGI/Standard
%dir %{perl_vendorlib}/auto/MCS/CGI/Voting
%{perl_vendorlib}/auto/MCS/CGI/Ecard/autosplit.ix
%{perl_vendorlib}/auto/MCS/CGI/Gaestebuch/autosplit.ix
%{perl_vendorlib}/auto/MCS/CGI/SMS/autosplit.ix
%{perl_vendorlib}/auto/MCS/CGI/SendToFriend/autosplit.ix
%{perl_vendorlib}/auto/MCS/CGI/Sendmail/autosplit.ix
%{perl_vendorlib}/auto/MCS/CGI/Standard/autosplit.ix
%{perl_vendorlib}/auto/MCS/CGI/Voting/autosplit.ix
%doc Conf/*.cfg

%changelog
* Thu Dec 20 2012 cs@linux-administrator.com
- initial package build
